clang-tools 10.0.0

Public Member Functions | Public Attributes | List of all members
clang::clangd::IndexFileOut Struct Reference

`#include <Serialization.h>`

Collaboration diagram for clang::clangd::IndexFileOut:
[legend]

## Public Member Functions
| IndexFileOut ()=default
| IndexFileOut (const IndexFileIn &I)

## Public Attributes
const SymbolSlab * | Symbols = nullptr
const RefSlab * | Refs = nullptr
const RelationSlab * | Relations = nullptr
const IncludeGraph * | Sources = nullptr
IndexFileFormat | Format = IndexFileFormat::RIFF
const tooling::CompileCommand * | Cmd = nullptr

## Detailed Description

Definition at line 55 of file Serialization.h.

## Constructor & Destructor Documentation

## ◆ IndexFileOut() [1/2]

clang::clangd::IndexFileOut::IndexFileOut | ( |  | ) |
| default

## ◆ IndexFileOut() [2/2]

clang::clangd::IndexFileOut::IndexFileOut | ( | const IndexFileIn & | I | ) |
| inline

Definition at line 66 of file Serialization.h.

References clang::clangd::operator<<().

## Member Data Documentation

## ◆ Cmd

const tooling::CompileCommand* clang::clangd::IndexFileOut::Cmd = nullptr

Definition at line 63 of file Serialization.h.

## ◆ Format

IndexFileFormat clang::clangd::IndexFileOut::Format = IndexFileFormat::RIFF

Definition at line 62 of file Serialization.h.

Referenced by clang::clangd::operator<<().

## ◆ Refs

const RefSlab* clang::clangd::IndexFileOut::Refs = nullptr

Definition at line 57 of file Serialization.h.

## ◆ Relations

const RelationSlab* clang::clangd::IndexFileOut::Relations = nullptr

Definition at line 58 of file Serialization.h.

## ◆ Sources

const IncludeGraph* clang::clangd::IndexFileOut::Sources = nullptr

Definition at line 60 of file Serialization.h.

## ◆ Symbols

const SymbolSlab* clang::clangd::IndexFileOut::Symbols = nullptr

Definition at line 56 of file Serialization.h.

The documentation for this struct was generated from the following file:

- Serialization.h